remove use of deprecated nfdc syntax and update output processing
change all calls to nfd-status to nfdc
(except test_nfdc)
refs #4058
Change-Id: I4205602d180f5cb5c64e9883e79d5deb518533ad
diff --git a/test_localhost_scope/out-B.sh b/test_localhost_scope/out-B.sh
index d0ec56a..31f9d3e 100755
--- a/test_localhost_scope/out-B.sh
+++ b/test_localhost_scope/out-B.sh
@@ -1,10 +1,12 @@
#!/bin/bash
FACEURI=$1
-if ! output=$(nfdc add-nexthop ndn:/ $FACEURI)
+nfdc face create $FACEURI || exit 1
+
+if ! output=$(nfdc route add ndn:/ $FACEURI)
then
return 2
fi
-output=$(nfdc add-nexthop ndn:/localhost/test-out $FACEURI 2>&1)
+output=$(nfdc route add ndn:/localhost/test-out $FACEURI 2>&1)
return 0